/*****************************************************************************
*                                                                            *
* void      Edge_Menue()                                                     *
*                                                                            *
******************************************************************************
*                                                                            *
* Untermenue zur Kantendetektion.                                            *
*                                                                            *
******************************************************************************
*                                                                            *
* Erstellungsdatum: 30.09.1992                                               *
* Letzte Aenderung: 24.10.1992                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Aufruf von: ClearTextWindow(), WriteText(), Read_Int(),                    *
*             Roberts(), Sobel(), Prewitt, Laplace(), EdgeMask(),            *
*             Marr_Hildreth(), Grauwertmanipu()                              *
*****************************************************************************/

#include "const.h"

#include "prototyp.h"


void Edge_Menue()
{
  int Auswahl;

  /*---------------------------- Untermenue anzeigen -----------------------*/
  Auswahl = 1;
  while ((Auswahl>0) && (Auswahl<=8)) {
        ClearTextWindow(35,18,80,25);
        WriteText(35,18,">> Kantendetektionsverfahren <<");
        WriteText(35,20,"(1)  Roberts-Cross     (5)  freie 3x3 Maske");
        WriteText(35,21,"(2)  Sobel             (6)  Marr-Hildreth");
        WriteText(35,22,"(3)  Prewitt                              ");
        WriteText(35,23,"(4)  Laplace           (8)  Binaerbild");
        gotoxy(35,25);
        Auswahl=Read_Int("Bitte Auswahl angeben (0=Ruecksprung) ", 1, ':');

        switch (Auswahl) {
           case 1:
               /*------------------ Roberts-Cross-Operator -----------------*/
               Roberts(FALSE, FALSE);
               break;
           case 2:
               /*---------------------- Sobel-Operator ---------------------*/
               Sobel(FALSE, FALSE);
               break;
           case 3:
               /*--------------------- Prewitt-Operator --------------------*/
               Prewitt(FALSE, FALSE);
               break;
           case 4:
               /*--------------------- Laplace-Operator --------------------*/
               Laplace(FALSE, FALSE);
               break;
           case 5:
               /*--------------------- freie 3x3-Maske ---------------------*/
               Edge_Mask();
               break;
           case 6:
               /*------------------- Marr-Hildreth-Operator ----------------*/
               Marr_Hildreth(FALSE, FALSE, FALSE, FALSE);
               break;
           case 7:
               /*-------------------- modif. Canny-Operator ----------------*/
               break;
           case 8:
               /*-------------------- Binaerbild erzeugen ------------------*/
               Grauwertmanipu(5, FALSE, FALSE);
               break;
        } /* switch */
  }

}
