/*****************************************************************************
*                                                                            *
* void      Histogramm_Menue()                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Untermenue zur Histogrammanipulation                                       *
*                                                                            *
******************************************************************************
*                                                                            *
* Erstellungsdatum: 02.10.1992                                               *
* Letzte Aenderung: 04.03.1993                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Aufruf von: ClearTextWindow(), WriteText(), Read_Int(),                    *
*             Histogramm(), Grauwertmanipu(), Intens_Skalier(), Adapt_Histo()*
*                                                                            *
*****************************************************************************/

#include "const.h"

#include "prototyp.h"


void Histogramm_Menue()
{
  int Auswahl;

  /*---------------------------- Untermenue anzeigen -----------------------*/
  Auswahl = 1;
  while ((Auswahl>0) && (Auswahl<=8)) {
        ClearTextWindow(35,18,80,25);
        WriteText(35,18,">> Histogramm-Operationen <<");
        WriteText(35,20,"(1)  Histogramm          (5)  Bild invertieren");
        WriteText(35,21,"(2)  Grauwertverschieb.  (6)  Histogrammeineb.");
        WriteText(35,22,"(3)  Kontrastaenderung   (7)  Adaptive Histog.");
        WriteText(35,23,"(4)  Grauwertquantisier. (8)  Binaerbild");
        gotoxy(35,25);
        Auswahl=Read_Int("Bitte Auswahl angeben (0=Ruecksprung) ", 1, ':');

        switch (Auswahl) {
           case 1:
               /*----------------- Histogramm erzeugen und anzeigen --------*/
               Histogramm(FALSE, FALSE);
               break;
           case 2:
               /*----------------- Grauwertverschiebung --------------------*/
               Grauwertmanipu(1, FALSE, FALSE);
               break;
           case 3:
               /*----------------- Kontrastanderung ------------------------*/
               Grauwertmanipu(2, FALSE, FALSE);
               break;
           case 4:
               /*----------------- Grauwertquantisierung -------------------*/
               Grauwertmanipu(3, FALSE, FALSE);
               break;
           case 5:
               /*----------------- Bild invertieren ------------------------*/
               Grauwertmanipu(4, FALSE, FALSE);
               break;
           case 6:
               /*----------------- Histogrammeinebnung O'Gorman ------------*/
               Intens_Skalier(FALSE);
               break;
           case 7:
               /*----------------- Adaptive Histogrammanpassung ------------*/
               Adapt_Histo(FALSE, FALSE, 32);
               break;
           case 8:
               /*----------------- Binaerbild erzeugen ---------------------*/
               Grauwertmanipu(5, FALSE, FALSE);
               break;
        } /* switch */
  }

}
