/*****************************************************************************
*                                                                            *
* void      Morphol_Menue()                                                  *
*                                                                            *
******************************************************************************
*                                                                            *
* Untermenue zur Skelettierung und andere morphologische Operatoren          *
*                                                                            *
******************************************************************************
*                                                                            *
* Erstellungsdatum: 06.11.1992                                               *
* Letzte Aenderung: 25.02.1993                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Aufruf von: ClearTextWindow(), WriteText(), Read_Int(),                    *
*             Scan_Line_Thin(), Thinning_LW(), Erosion(), Dilatation()       *
*                                                                            *
*****************************************************************************/

#include "const.h"

#include "prototyp.h"


void Morphol_Menue()
{
  int Auswahl;

  /*---------------------------- Hauptmenue anzeigen -----------------------*/
  Auswahl = 1;
  while ((Auswahl>0) && (Auswahl<=8)) {
        ClearTextWindow(35,18,80,25);
        WriteText(35,18,">> Morphologische Operatoren <<");
        WriteText(35,20,"(1)  Scan-Line-Skelett ");
        WriteText(35,21,"(2)  Skelett Lue/Wang");
        WriteText(35,22,"(3)  Skelett Ji (mod.)   (7)  Erosion");
        WriteText(35,23,"                         (8)  Dilatation");
        gotoxy(35,25);
        Auswahl=Read_Int("Bitte Auswahl angeben (0=Ruecksprung) ", 1, ':');

        switch (Auswahl) {
           case 1:
               /*------------------ Scan-Line-Skelettierung ----------------*/
               Scan_Line_Thin(FALSE, FALSE);
               break;
           case 2:
               /*------------------ Skelettierung nach Zhang/Suen ----------*/
               Thinning_LW(FALSE);
               break;
           case 3:
               /*------------------ Skelettierung nach Ji (modif.) ---------*/
               Thinning_Ji(FALSE);
               break;
           case 4:
               /*------ Skelettierung durch die Euler-Charakteristik -------*/
               break;
           case 7:
               /*--------------------- Erosionsfilter 3x3 ------------------*/
               Erosion(FALSE, FALSE, 0);
               break;
           case 8:
               /*------------------ Dilatationsfilter 3x3 ------------------*/
               Dilatation(FALSE, FALSE, 0);
               break;
        } /* switch */
  }

}
