/*****************************************************************************
*                                                                            *
* void      Pic_Info()                                                       *
*                                                                            *
******************************************************************************
*                                                                            *
* Zeigt die Daten eines Bildes auf dem Bildschirm an.                        *
*                                                                            *
******************************************************************************
*                                                                            *
* Erstellungsdatum: 06.11.1992                                               *
* Letzte Aenderung: 06.11.1992                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Aufruf von: ClearTextWindow(), WriteText(), Read_Int(), WriteInt()         *
*             Read_Char()                                                    *
*                                                                            *
*****************************************************************************/

#include "const.h"

#include "prototyp.h"


void Pic_Info()
{
  int BildNr;

  ClearTextWindow(35,18,80,25);
  WriteText(35,18,"* Bilddaten anzeigen *");

  gotoxy(35,20);
  BildNr=Read_Int("Bild Nr. ", 1, ':');
  /* Gueltige Bild-Nummer eingegeben?                                       */
  if ((BildNr<=0) || (BildNr>MAX_PICTURE)) return;
  BildNr--;                          /* die Zaehlung faengt immer bei 0 an */
  if (!Bild[BildNr].Used) return;

  WriteText(35, 22, "Bildgroesse (Zeil.x Spalt.):");
  gotoxy(64,22);
  WriteInt(Bild[BildNr].Zeilen);
  WriteText(68, 22, "x");
  gotoxy(69,22);
  WriteInt(Bild[BildNr].Spalten);
  WriteText(35, 23, "Farbe verwendet:            ");
  if (Bild[BildNr].Color) WriteText(64, 23, "Ja");
  else                    WriteText(64, 23, "Nein");

  gotoxy(35,25);
  Read_Char("Weiter mit RETURN ...", '<');

}
